MKFIFO(1)

NAME
mkfifo - make FIFOs (named pipes)

SYNOPSIS
mkfifo [-m mode] [--mode=mode] [--help] [--version] filename...

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of mkfifo. mkfifo creates a FIFO with each given name. By default, the mode of created FIFOs is 0666 minus the bits set in the umask.

  OPTIONS

-m, --mode mode
    Set the mode of created FIFOs to mode, which is symbolic as in chmod and uses the default mode as the point of departure.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.